package com.zcloud.domain.domain.gateway;

import com.zcloud.domain.domain.model.DomainGroupE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:29:27
 */
public interface DomainGroupGateway {

    /**
     * 新增
     */
    Boolean add(DomainGroupE domainGroupE);

    /**
     * 修改
     */
    Boolean update(DomainGroupE domainGroupE);

    /**
     * 删除
     */
    Boolean deletedDomainGroupById(Long id);

    Boolean deletedDomainGroupByIds(Long[] id);
}

